TrustKeeper Scan Engine Update - January 16, 2013

Last week marked the release of the first update to the TrustKeeper scan engine of 2013. To ring in the new year, we included tests for almost 50 new vulnerabilities, including many recent ones in IBM WebSphere Application Server and Cisco IOS and ASA.

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Apache
* Apache Tomcat Broken Connction Leads to Infinite Loop Denial of Service Vulnerability (CVE-2012-4534)

Cisco
* Cisco IOS NAT Memory Leak (cisco-sa-20120328-nat) (CVE-2012-0383)
* Cisco IOS Software Crashes in HTTP Client Vulnerability (CSCts12249) (CVE-2011-2586)
* Cisco IOS Software Fragment Entry is not Created when ICMPv6 ACL is Applied Vulnerability (CSCtj90091) (CVE-2011-4012)
* Cisco IOS Software Crafted ICMP Packets May Cause CSG2 to Reload Vulnerability (CSCtl79577) (CVE-2011-2064)
* Cisco IOS Software RSVP Denial of Service Vulnerability (CSCts80643) (CVE-2012-1311)
* Cisco IOS Software ../dot11t/t_if_dot11_hal_ath.c HAL_Ath_receive_packet Crash Vulnerability (CSCtt94391) (CVE-2012-1327)
* Cisco ASA Information Leak (CSCtx42746) (CVE-2012-0335)
* Cisco ASA MPF connection count DoS (CSCtv19854) (CVE-2012-0378)
* Cisco ASA IKE Information Leakage (CSCtt07749) (CVE-2011-3309)
* Cisco ASA ESMTP Inspect Packet Denial of Service (CSCtt32565) (CVE-2011-4006)
* Cisco ASA MSN Messenger Packet DoS (CSCtl67486) (CVE-2011-3304)
* Cisco IOS Software PPP: PRE-Crash Due to Block Overrun Vulnerability (CSCtf71673) (CVE-2011-4016)
* Cisco IOS Software ICMPv6 Packet May Cause MPLS-Configured Device to Reload Vulnerability (CSCtj30155) (CVE-2011-3282)

IBM
* IBM WebSphere Application Server Arbitrary File Overwrite Vulnerability (CVE-2012-3305)
* IBM WebSphere Application Server Administrative Console Remote Session Hijacking Vulnerability (CVE-2012-3304)
* IBM WebSphere Application Server Remote Denial of Service via Crafted Request Vulnerability (CVE-2012-3330)
* IBM WebSphere Application Server Failure to Purge Authentication Cache Vulnerability (CVE-2012-3306)
* IBM WebSphere Application Server TLS Crafted ClientHello Denial of Service Vulnerability (CVE-2012-2190)
* IBM WebSphere Application Server Administrative Console Remote Authenticated XSS Vulnerability (CVE-2012-0716)
* IBM WebSphere Application Server Collisions in HashTable May Cause Denial of Service Vulnerability (CVE-2012-0193)
* IBM WebSphere Application Server PM44303 Fix Introduces Administrative Bypass Vulnerability (CVE-2012-3325)
* IBM WebSphere Application Server IVT Remote Cross-Site Scripting (XSS) Vulnerability (CVE-2011-1362)
* IBM WebSphere Application Server Information Disclosure via Cross-Site Request Forgery Vulnerability (CVE-2012-4853)
* IBM WebSphere Application Server Liberty Profile Security Bypass Vulnerability (CVE-2012-4850)
* IBM WebSphere Application Server Liberty Profile Cross-Site Scripting Service Vulnerability (CVE-2012-4851)
* IBM WebSphere Application Server Administrative Console Remote XSS Vulnerability (CVE-2012-3293)

Microsoft
* Vulnerability in IP-HTTPS Component Could Allow Security Feature Bypass (MS12-083) (CVE-2012-2549)
* Vulnerabilities in Microsoft Exchange Server Could Allow Remote Code Execution (MS12-080) (CVE-2012-4791)
* Vulnerability in Windows File Handling Component Could Allow Remote Code Execution (MS12-081) (CVE-2012-4774)
* Vulnerabilities in Windows Kernel-Mode Drivers Could Allow Remote Code Execution (MS12-078) (CVE-2012-4786)
* Microsoft ASP.NET __VIEWSTATE Multiple Vulnerabilities (CVE-2005-1664, CVE-2005-1665, CVE-2010-2085, CVE-2010-2088)
* Microsoft ASP.NET SOAP Request Denial of Service (CVE-2005-2224)
* Microsoft ASP.NET and .NET Framework Multiple XSS Bypass (CVE-2003-0768, CVE-2006-7192, CVE-2008-3842, CVE-2008-3843)
* Microsoft ASP.NET Unicode XSS Detection Bypass (CVE-2005-0452)
* Microsoft ASP.NET w3wp.exe COM component DoS (CVE-2006-1364)
* Microsoft .NET DLL Tampering Detection Bypass (CVE-2008-5100)

MySQL
* MySQL Remote Code Execution via Flaw in yaSSL Vulnerability (CVE-2012-0882)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates "auto-magically" as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.